#include "CLevel.h"

#ifndef clevels_def
#define clevels_def

#define max_levels  40

class CLevels
{
private:


public:
    int next_level;
    CLevel level[max_levels];

    void init_all(void);
    void create_level(char *map_name, char *level_name, char *tileset_name, char *objectset_name, char *song_name, int world_num, int iFriesNeeded, int iCheeseNeeded, int map_pos_x, int map_pos_y);
    void set_up_level(int level_num,CMap *map, CMapObjects *obs ,CObjectSet *os, CTileSet *ts, DATAFILE *d, CTile *blank, CEnims *enims, CCinematic *_ingameCin );
    void splash_level(BITMAP *bmp, int level_num,FONT *f, int y);
    char* ret_name(int level_num);
    void count_items(CMapObjects *obs);
    void set_up_all_levels(CMap *map, CMapObjects *obs ,CObjectSet *os, CTileSet *ts, DATAFILE *d, CTile *blank, CEnims *enims, CCinematic *ingameCin);

    int retNumLevels(void) {return next_level;}
    int retMapPosX(int n) {return level[n].map_pos_x;}
    int retMapPosY(int n) {return level[n].map_pos_y;}
    char* ret_song_filename(int n);
    
  //  void save_level_states(FILE *fp);
  //  void load_level_states(FILE *fp);

    //int count_fries_collected(void);
    //int count_total_fries(void);
};


#endif
